Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 04 Feb 2021 05:13:36 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear Sir

This is my second email and more than dozen calls to your call center regarding a broken mirror which was delivered to me 3 weeks ago and no one is coming to pick it back, i took it to al awqaf brach and the manager refused to collect it since its on line shopping 

The call center claims that they contact us and we not answer and i am sure its not true and made up story

I need some one to collect the item and refund me the amount

I am really surprised with this bad customer service since no one is replying and doing his job properly 

I have all my rights to complain to Consumer Protection Department for this bad behavior and delay

Regards

Amina

iOS Version: 14.2
App Version: 9.2.6 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2052657